
Name:          antcount
Version:       1.2
Release:       %mkrel 3
Summary:       Ant Counter - an external addon to Ant
Group:         Development/Java
License:       LGPL
Url:           http://antcount.sourceforge.net/
Source0:       http://sourceforge.net/projects/antcount/files/antcount/antcount%201.2/antcount-src-1.2.zip

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: ant
Requires:      ant

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Set of Ant filters that can be used to gather statistics from files or resources.
It is mainly used for log files analysis. It allows to:
- count inputs - count occurrences of each input
- calculate average, max and min values of floats in input 

%prep
%setup -q -c

find -name "*.jar" -type f -exec rm {} \;
find -name "*.class" -type f -exec rm {} \;
find -name "*.zip" -type f -exec rm {} \;
rm -rf www/*

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE

ln -sf %{_javadir}/ant.jar lib/ant.jar

%build

ant jar test

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/jar/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%{_javadir}/%{name}.jar
%doc LICENSE


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 345598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.2-2.mga3
+ Revision: 326644
- Build with Java7

* Mon Dec 12 2011 gil <gil> 1.2-1.mga2
+ Revision: 181051
- imported package antcount

